org.apache.coyote.http11.upgrade

## Class NioProcessor

- java.lang.Object
- - org.apache.coyote.http11.upgrade.AbstractProcessor<NioChannel>
  - - org.apache.coyote.http11.upgrade.NioProcessor

All Implemented Interfaces:
  WebConnection, Processor<NioChannel>

    public class NioProcessor
    extends AbstractProcessor<NioChannel>

### Field Summary

### Fields inherited from class org.apache.coyote.http11.upgrade.AbstractProcessor

`sm`

### Constructor Summary

Constructors
Constructor and Description
`NioProcessor(SocketWrapper<NioChannel> wrapper, HttpUpgradeHandler httpUpgradeProcessor, NioSelectorPool pool)`

### Method Summary

Methods
`protected Log` `getLog()`

### Methods inherited from class org.apache.coyote.http11.upgrade.AbstractProcessor

`asyncDispatch, asyncPostProcess, close, event, getExecutor, getHttpUpgradeHandler, getInputStream, getOutputStream, getRequest, getUpgradeInbound, isAsync, isComet, isUpgrade, process, recycle, setSslSupport, upgradeDispatch, upgradeDispatch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NioProcessor

    public NioProcessor(SocketWrapper<NioChannel> wrapper,
                HttpUpgradeHandler httpUpgradeProcessor,
                NioSelectorPool pool)

### Method Detail

#### getLog

    protected Log getLog()

Specified by:
  `getLog` in class `AbstractProcessor<NioChannel>`